ssh2_sftp_readlink
ssh2_sftp_rename
SSH2 Functions
PHP Manual

# ssh2_sftp_realpath

Resolve the realpath of a provided path string

### Description

string ssh2_sftp_realpath ( resource `$sftp` , string `$filename` )

Translates `filename` into the effective real path on the remote filesystem.

### Parameters

`sftp`

  An SSH2 SFTP resource opened by ssh2_sftp.

`filename`

### Return Values

Returns the real path as a string.

### Examples

Example #1 Resolving a pathname

`<?php
$connection = ssh2_connect('shell.example.com', 22);
ssh2_auth_password($connection, 'username', 'password');
$sftp = ssh2_sftp($connection);
$realpath = ssh2_sftp_realpath($sftp, '/home/username/../../../..//./usr/../etc/passwd');
/* $realpath is now: '/etc/passwd' */
?>`

### See Also

- realpath
- ssh2_sftp_symlink
- ssh2_sftp_readlink